#@ load("@ytt:data", "data")

#@ ns = data.values.application.namespace

---
apiVersion: v1
kind: Secret
metadata:
  name: garage-secrets
  namespace: #@ ns
  annotations:
    secret-generator.v1.mittwald.de/autogenerate: rpc_secret,admin_token
    secret-generator.v1.mittwald.de/encoding: hex
    secret-generator.v1.mittwald.de/length: "64"
type: Opaque
